Jump to content

Welcome, Guest!

By registering with us, you'll be able to discuss, share and private message with other members of our community.

Traumflug

Release 1.0.7 is there!

Recommended Posts

This is the only error I can see in the logs:

[Fri Oct 05 08:45:56.644386 2018] [:error] [pid 833] [client 40.68.122.101:22395] PHP Warning: requireonce(/home/admin/domains/ageasbowlshop.co.uk/publichtml/vendor/paragonie/randomcompat/lib/bytesafestrings.php): failed to open stream: No such file or directory in /home/admin/domains/ageasbowlshop.co.uk/publichtml/vendor/paragonie/randomcompat/lib/random.php on line 57 [Fri Oct 05 08:45:56.644444 2018] [:error] [pid 833] [client 40.68.122.101:22395] PHP Fatal error: requireonce(): Failed opening required '/home/admin/domains/ageasbowlshop.co.uk/publichtml/vendor/paragonie/randomcompat/lib/bytesafestrings.php' (includepath='/home/admin/domains/ageasbowlshop.co.uk/publichtml/vendor/pear/archivetar:/home/admin/domains/ageasbowlshop.co.uk/publichtml/vendor/pear/consolegetopt:/home/admin/domains/ageasbowlshop.co.uk/publichtml/vendor/pear/pear-core-minimal/src:/home/admin/domains/ageasbowlshop.co.uk/publichtml/vendor/pear/pearexception:.:/usr/local/lib/php') in /home/admin/domains/ageasbowlshop.co.uk/publichtml/vendor/paragonie/randomcompat/lib/random.php on line 57

Is that what is causing the problem?

Share this post


Link to post
Share on other sites

I've fixed it. There seems to be a lot of files missing from /publichtml/vendor/paragonie/randomcompat/lib/ which were there previously. As soon as I uploaded them from 1.0.3 then it works.

Is this a bug which needs fixing?

Share this post


Link to post
Share on other sites

This seems to be bug in tbupdater module, it should be addressed.

https://github.com/thirtybees/thirtybees/issues/619

Share this post


Link to post
Share on other sites

TB 1.0.7 was fresh-installed using Softaculous on CPanel - no issue with installation.

However, product listing does not show up in New Arrival.

It comes up in category and search only.

See: tb.karir4.com - product listing Lilly Pulitzer.

This is a test site.

Share this post


Link to post
Share on other sites

I just tested on a dev 1.0.7 instance and all is working here. You can send over you back office login in a PM if you want me to check it.

Share this post


Link to post
Share on other sites

The issue ended up being the date that softaculous inserts the demo products with is advanced a day. I wouldn't really call this a bug since its fixed after the demo products are erased.

Share this post


Link to post
Share on other sites

So far it looks really good. It got updated to 1.0.7. I did not have theme updated because I made minor changes before such as removing date of birth.

Is there anything in full page caching settings that need to adjusted? tks.

Share this post


Link to post
Share on other sites

I just tested as well, it is working here too, https://cdntest.thirtybees.com/coffee-and-tea/Coffee/coffee-beans

Share this post


Link to post
Share on other sites

Hi TB Forum

I did an upgrade from 1.0.3 to 1.0.7 two months ago, and I got an error (see further down) I never got an answer to this error, but the shop did however work fine, and I couln't find any issues, so I did not think too much about it. But today when I was going to install the cookiebot and cookie consent modules, I got this error:

[PrestaShop] Fatal error in module file :/customers/3/f/a/norwegianrat.no/httpd.www/vendor/pear/archive_tar/Archive/Tar.php: Cannot use result of built-in function in write context

Is this somehow related to the error I got two months ago?

Thanx in advance,

.........................

02.10.18

The updater did download and extract files as I mentioned in an earlier post. Trying to avoid the error, I cleaned up all the files in the “download” and “latest” folder to be sure I was starting with clean slates. I then did as follows:

Disabled and uninstalled the updater. Uploaded the updater @Traumflug provided the link to (even though it was the same version number) Downgraded PHP from 7.1.19 to 7.0.30 One of these steps got it to work. At least partially. It gave me an error after a while, but so far the BO is working and says 1.0.7, and the front office sees to be working. What worries me a little is the error I got:

All files upgraded. Now upgrading database… [Ajax / Server Error for action upgradeDb] textStatus: “error " errorThrown:” " jqXHR: " "

Do we now have a broken database somewhere?

Share this post


Link to post
Share on other sites

[Ajax / Server Error for action upgradeDb] textStatus: “error " errorThrown:” " jqXHR: " "

These are surprisingly hard to avoid, the occurrences I've seen so far were simple timeouts of the Ajax script ... in this case for an operation which should be done in 0.1 seconds.

Do we now have a broken database somewhere?

No. Database either got upgraded or it did not, but nothing in between. It should work to simply run the upgrade again. Replacing files and upgrading the database twice doesn't harm.

Share this post


Link to post
Share on other sites

@Norwegian_Rat If you want to manually check your database to see if it has been upgraded, you can look at the _referrer table and see if the passwd column is set to varchar 60, https://github.com/thirtybees/thirtybees/blob/1.0.x/install-dev/upgrade/sql/1.0.4.sql

Share this post


Link to post
Share on other sites

@lesley : The passwd cloumn is set to varchar 60, so I guess this one is OK then?

@Traumflug : Maybe a stupid question, but how do I run the upgrade again when the updater settings says I'm running the latest version, and nothing happens when I select "Stable" from the dropdown option? (I know that we can do rollback and do it over again, but I'm not quite sure if this is what you ment?)

I'm not even sure if the module issue is related to the upgrade? Every module I have tried installing throws this error.

Share this post


Link to post
Share on other sites

Maybe a stupid question, but how do I run the upgrade again when the updater settings says I’m running the latest version

Version number gets updated as (almost) the last step. Which means, if there is some failure in the update process, one is still on the old version number and can restart the process.

This also means that being on the new version number is an indication that the update process was completed successfully. Just ignore that error message from the last step.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...